Hi, I did resolve the problem.
1. Seems like there are some troubles with Linux Mint and Ruby. Sorry, I'm
Linux user just for one month, it's very hard for me. There were no
problems on CentOS 6.* x64.
So the solution is:
1. Download bitnami spree and install it. I did use these distributions on
Windows, I like them. Just install and work
2. Goto ruby/bin from bitnami installation and run *./gem install spree_i18n
*
3. Then run *./gem install rails-i18n*
4. Don't forget to: *chmod 666
/opt/spree-1.3.1-0/apps/spree/htdocs/Gemfile.lock*
5. goto application.rb and add: config.i18n.default_locale = :ru
6. goto Gemfile and add:
gem "rails-i18n"
gem 'spree_i18n'
7. goto config/locales, grab ru.yml from spree_i18n and paste there.

It works. Maybe it's not the best solution and not optimal, but it works on
CentOS and on Linux Mint.
I did have troubles installing i18n gems on Linux Mint. If someone wants to
have solution, feel free to ask.

The problem is solved.

понедельник, 14 января 2013 г., 4:25:00 UTC+4 пользователь Ryan Bigg
написал:
First: Please do not install Ruby from apt-get, as I explain here:
http://ryanbigg.com/2010/12/ubuntu-ruby-rvm-rails-and-you/

Second: To set the default locale, use config.i18n.default_locale in
config/application.rb, as you've done already.

Third: Please provide steps to reproduce the issue you're seeing where the
admin app is not working.


On Sun, Jan 13, 2013 at 3:02 AM, Serega Sheypak <serega....@gmail.com<javascript:>
wrote:
I've modified application.rb:
config.i18n.default_locale = :ru

Now localization works for application, but admin app is not working.
Apache2 logs are clear...
production log is also clear... what do I do wrong... :((((


суббота, 12 января 2013 г., 18:52:06 UTC+4 пользователь Serega Sheypak
написал:
Hi! I've installed bitnami stack Spree on Linux mint. I have several
questions:
1. i18n. I did find localization file ru.yml in github repo,
1.1. I did put it to config/locales near existing en.yml
1.2. What's next? What should I do to make spree use this ru.yml file?
1.3. I've tried to install gem and get an error:

sudo gem install spree_i18n
Fetching: acts_as_list-0.1.4.gem (100%)
Fetching: activesupport-3.2.11.gem (100%)
Fetching: activemodel-3.2.11.gem (100%)
Fetching: activerecord-3.2.11.gem (100%)
Fetching: awesome_nested_set-2.1.5.gem (100%)
Fetching: json-1.7.6.gem (100%)
Building native extensions. This could take a while...
ERROR: Error installing spree_i18n:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.9.1 extconf.rb
/usr/lib/ruby/1.9.1/rubygems/**custom_require.rb:36:in `require':
cannot load such file -- mkmf (LoadError)
from /usr/lib/ruby/1.9.1/rubygems/**custom_require.rb:36:in `require'
from extconf.rb:1:in `<main>'


Gem files will remain installed in /var/lib/gems/1.9.1/gems/json-**1.7.6
for inspection.
Results logged to /var/lib/gems/1.9.1/gems/json-**
1.7.6/ext/json/ext/generator/**gem_make.out


2. Source code.
2.1. I did open folder apps/spree/htdocs and see no controller code or
stuff like that. Where is all the code?


--
--

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupspree-user @
categoriesrubyonrails
postedJan 14, '13 at 6:54p
activeJan 14, '13 at 6:54p
posts1
users1
websitespreecommerce.com
irc#RubyOnRails

1 user in discussion

Serega Sheypak: 1 post

People

Translate

site design / logo © 2022 Grokbase